'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var KEY_CANCEL = 3;
var KEY_HELP = 6;
var KEY_BACK_SPACE = 8;
var KEY_TAB = 9;
var KEY_CLEAR = 12;
var KEY_RETURN = 13;
var KEY_SHIFT = 16;
var KEY_CONTROL = 17;
var KEY_ALT = 18;
var KEY_PAUSE = 19;
var KEY_CAPS_LOCK = 20;
var KEY_ESCAPE = 27;
var KEY_SPACE = 32;
var KEY_PAGE_UP = 33;
var KEY_PAGE_DOWN = 34;
var KEY_END = 35;
var KEY_HOME = 36;
var KEY_LEFT = 37;
var KEY_UP = 38;
var KEY_RIGHT = 39;
var KEY_DOWN = 40;
var KEY_PRINTSCREEN = 44;
var KEY_INSERT = 45;
var KEY_DELETE = 46;
var KEY_0 = 48;
var KEY_1 = 49;
var KEY_2 = 50;
var KEY_3 = 51;
var KEY_4 = 52;
var KEY_5 = 53;
var KEY_6 = 54;
var KEY_7 = 55;
var KEY_8 = 56;
var KEY_9 = 57;
var KEY_A = 65;
var KEY_B = 66;
var KEY_C = 67;
var KEY_D = 68;
var KEY_E = 69;
var KEY_F = 70;
var KEY_G = 71;
var KEY_H = 72;
var KEY_I = 73;
var KEY_J = 74;
var KEY_K = 75;
var KEY_L = 76;
var KEY_M = 77;
var KEY_N = 78;
var KEY_O = 79;
var KEY_P = 80;
var KEY_Q = 81;
var KEY_R = 82;
var KEY_S = 83;
var KEY_T = 84;
var KEY_U = 85;
var KEY_V = 86;
var KEY_W = 87;
var KEY_X = 88;
var KEY_Y = 89;
var KEY_Z = 90;
var KEY_LEFT_CMD = 91;
var KEY_RIGHT_CMD = 92;
var KEY_CONTEXT_MENU = 93;
var KEY_NUMPAD0 = 96;
var KEY_NUMPAD1 = 97;
var KEY_NUMPAD2 = 98;
var KEY_NUMPAD3 = 99;
var KEY_NUMPAD4 = 100;
var KEY_NUMPAD5 = 101;
var KEY_NUMPAD6 = 102;
var KEY_NUMPAD7 = 103;
var KEY_NUMPAD8 = 104;
var KEY_NUMPAD9 = 105;
var KEY_MULTIPLY = 106;
var KEY_ADD = 107;
var KEY_SUBTRACT = 109;
var KEY_DECIMAL = 110;
var KEY_DIVIDE = 111;
var KEY_F1 = 112;
var KEY_F2 = 113;
var KEY_F3 = 114;
var KEY_F4 = 115;
var KEY_F5 = 116;
var KEY_F6 = 117;
var KEY_F7 = 118;
var KEY_F8 = 119;
var KEY_F9 = 120;
var KEY_F10 = 121;
var KEY_F11 = 122;
var KEY_F12 = 123;
var KEY_F13 = 124;
var KEY_F14 = 125;
var KEY_F15 = 126;
var KEY_F16 = 127;
var KEY_F17 = 128;
var KEY_F18 = 129;
var KEY_F19 = 130;
var KEY_F20 = 131;
var KEY_F21 = 132;
var KEY_F22 = 133;
var KEY_F23 = 134;
var KEY_F24 = 135;
var KEY_NUM_LOCK = 144;
var KEY_SCROLL_LOCK = 145;
var KEY_SEMICOLON = 186;
var KEY_EQUALS = 187;
var KEY_COMMA = 188;
var KEY_DASH = 189;
var KEY_PERIOD = 190;
var KEY_SLASH = 191;
var KEY_BACK_QUOTE = 192;
var KEY_OPEN_BRACKET = 219;
var KEY_BACK_SLASH = 220;
var KEY_CLOSE_BRACKET = 221;
var KEY_QUOTE = 222;
// Key codes specific to firefox only.
var KEY_FIREFOX_ENTER = 14;
var KEY_FIREFOX_SEMICOLON = 59;
var KEY_FIREFOX_EQUALS = 61;
var KEY_FIREFOX_SEPARATOR = 108;
var KEY_FIREFOX_META = 224;

exports.KEY_0 = KEY_0;
exports.KEY_1 = KEY_1;
exports.KEY_2 = KEY_2;
exports.KEY_3 = KEY_3;
exports.KEY_4 = KEY_4;
exports.KEY_5 = KEY_5;
exports.KEY_6 = KEY_6;
exports.KEY_7 = KEY_7;
exports.KEY_8 = KEY_8;
exports.KEY_9 = KEY_9;
exports.KEY_A = KEY_A;
exports.KEY_ADD = KEY_ADD;
exports.KEY_ALT = KEY_ALT;
exports.KEY_B = KEY_B;
exports.KEY_BACK_QUOTE = KEY_BACK_QUOTE;
exports.KEY_BACK_SLASH = KEY_BACK_SLASH;
exports.KEY_BACK_SPACE = KEY_BACK_SPACE;
exports.KEY_C = KEY_C;
exports.KEY_CANCEL = KEY_CANCEL;
exports.KEY_CAPS_LOCK = KEY_CAPS_LOCK;
exports.KEY_CLEAR = KEY_CLEAR;
exports.KEY_CLOSE_BRACKET = KEY_CLOSE_BRACKET;
exports.KEY_COMMA = KEY_COMMA;
exports.KEY_CONTEXT_MENU = KEY_CONTEXT_MENU;
exports.KEY_CONTROL = KEY_CONTROL;
exports.KEY_D = KEY_D;
exports.KEY_DASH = KEY_DASH;
exports.KEY_DECIMAL = KEY_DECIMAL;
exports.KEY_DELETE = KEY_DELETE;
exports.KEY_DIVIDE = KEY_DIVIDE;
exports.KEY_DOWN = KEY_DOWN;
exports.KEY_E = KEY_E;
exports.KEY_END = KEY_END;
exports.KEY_EQUALS = KEY_EQUALS;
exports.KEY_ESCAPE = KEY_ESCAPE;
exports.KEY_F = KEY_F;
exports.KEY_F1 = KEY_F1;
exports.KEY_F10 = KEY_F10;
exports.KEY_F11 = KEY_F11;
exports.KEY_F12 = KEY_F12;
exports.KEY_F13 = KEY_F13;
exports.KEY_F14 = KEY_F14;
exports.KEY_F15 = KEY_F15;
exports.KEY_F16 = KEY_F16;
exports.KEY_F17 = KEY_F17;
exports.KEY_F18 = KEY_F18;
exports.KEY_F19 = KEY_F19;
exports.KEY_F2 = KEY_F2;
exports.KEY_F20 = KEY_F20;
exports.KEY_F21 = KEY_F21;
exports.KEY_F22 = KEY_F22;
exports.KEY_F23 = KEY_F23;
exports.KEY_F24 = KEY_F24;
exports.KEY_F3 = KEY_F3;
exports.KEY_F4 = KEY_F4;
exports.KEY_F5 = KEY_F5;
exports.KEY_F6 = KEY_F6;
exports.KEY_F7 = KEY_F7;
exports.KEY_F8 = KEY_F8;
exports.KEY_F9 = KEY_F9;
exports.KEY_FIREFOX_ENTER = KEY_FIREFOX_ENTER;
exports.KEY_FIREFOX_EQUALS = KEY_FIREFOX_EQUALS;
exports.KEY_FIREFOX_META = KEY_FIREFOX_META;
exports.KEY_FIREFOX_SEMICOLON = KEY_FIREFOX_SEMICOLON;
exports.KEY_FIREFOX_SEPARATOR = KEY_FIREFOX_SEPARATOR;
exports.KEY_G = KEY_G;
exports.KEY_H = KEY_H;
exports.KEY_HELP = KEY_HELP;
exports.KEY_HOME = KEY_HOME;
exports.KEY_I = KEY_I;
exports.KEY_INSERT = KEY_INSERT;
exports.KEY_J = KEY_J;
exports.KEY_K = KEY_K;
exports.KEY_L = KEY_L;
exports.KEY_LEFT = KEY_LEFT;
exports.KEY_LEFT_CMD = KEY_LEFT_CMD;
exports.KEY_M = KEY_M;
exports.KEY_MULTIPLY = KEY_MULTIPLY;
exports.KEY_N = KEY_N;
exports.KEY_NUMPAD0 = KEY_NUMPAD0;
exports.KEY_NUMPAD1 = KEY_NUMPAD1;
exports.KEY_NUMPAD2 = KEY_NUMPAD2;
exports.KEY_NUMPAD3 = KEY_NUMPAD3;
exports.KEY_NUMPAD4 = KEY_NUMPAD4;
exports.KEY_NUMPAD5 = KEY_NUMPAD5;
exports.KEY_NUMPAD6 = KEY_NUMPAD6;
exports.KEY_NUMPAD7 = KEY_NUMPAD7;
exports.KEY_NUMPAD8 = KEY_NUMPAD8;
exports.KEY_NUMPAD9 = KEY_NUMPAD9;
exports.KEY_NUM_LOCK = KEY_NUM_LOCK;
exports.KEY_O = KEY_O;
exports.KEY_OPEN_BRACKET = KEY_OPEN_BRACKET;
exports.KEY_P = KEY_P;
exports.KEY_PAGE_DOWN = KEY_PAGE_DOWN;
exports.KEY_PAGE_UP = KEY_PAGE_UP;
exports.KEY_PAUSE = KEY_PAUSE;
exports.KEY_PERIOD = KEY_PERIOD;
exports.KEY_PRINTSCREEN = KEY_PRINTSCREEN;
exports.KEY_Q = KEY_Q;
exports.KEY_QUOTE = KEY_QUOTE;
exports.KEY_R = KEY_R;
exports.KEY_RETURN = KEY_RETURN;
exports.KEY_RIGHT = KEY_RIGHT;
exports.KEY_RIGHT_CMD = KEY_RIGHT_CMD;
exports.KEY_S = KEY_S;
exports.KEY_SCROLL_LOCK = KEY_SCROLL_LOCK;
exports.KEY_SEMICOLON = KEY_SEMICOLON;
exports.KEY_SHIFT = KEY_SHIFT;
exports.KEY_SLASH = KEY_SLASH;
exports.KEY_SPACE = KEY_SPACE;
exports.KEY_SUBTRACT = KEY_SUBTRACT;
exports.KEY_T = KEY_T;
exports.KEY_TAB = KEY_TAB;
exports.KEY_U = KEY_U;
exports.KEY_UP = KEY_UP;
exports.KEY_V = KEY_V;
exports.KEY_W = KEY_W;
exports.KEY_X = KEY_X;
exports.KEY_Y = KEY_Y;
exports.KEY_Z = KEY_Z;
